Bug 194805 - [maintainer-update] dns/powerdns: update to 3.4.1
Summary: [maintainer-update] dns/powerdns: update to 3.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-04 09:12 UTC by Ralf van der Enden
Modified: 2014-11-15 20:36 UTC (History)
1 user (show)

See Also:


Attachments
Update to powerdns-3.4.1 (2.01 KB, patch)
2014-11-04 09:12 UTC, Ralf van der Enden
no flags Details | Diff
powerdns-3.4.1 build log (90.51 KB, text/plain)
2014-11-04 10:24 UTC, Ralf van der Enden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2014-11-04 09:12:39 UTC
Created attachment 149017 [details]
Update to powerdns-3.4.1

Update to PowerDNS 3.4.1
- This is a bugfix release
Changelog: http://doc.powerdns.com/html/changelog.html#changelog-auth-3.4.1

While here, cleanup the Makefile and remove unnecessary patches.

A quick question as well. Since 3.4.0 a mandatory database schema is necessary for several backends. One of the users requested mention of that in UPDATING, but I put it in pkg-message, since that's the location I usually see that sort of things in.

I'd like an extra opinion on that and if UPDATING is where it should be I'd like to know how I'd go about adding to it.

Thanks in advance.
Comment 1 Ralf van der Enden 2014-11-04 10:24:08 UTC
Created attachment 149021 [details]
powerdns-3.4.1 build log
Comment 2 John Marino freebsd_committer 2014-11-14 12:15:16 UTC
(In reply to Ralf van der Enden from comment #1)
> Created attachment 149021 [details]
> powerdns-3.4.1 build log

FYI, this log doesn't contain stage-qa checks.  you need to use "poudriere testport" or "poudriere bulk -t" for those checks to be performed.
Comment 3 John Marino freebsd_committer 2014-11-14 12:16:23 UTC
I'll promote this anyway, looks like a trivial update.
Comment 4 Ralf van der Enden 2014-11-14 12:44:16 UTC
It's a trivial update and installed fine. Since I updated both dns/powerdns and dns/powerdns-recursor I used poudriere bulk, but had no idea it generates different logs from testport when -t is omitted.

Will keep that in mind for next time.

Thanks.
Comment 5 commit-hook freebsd_committer 2014-11-15 20:35:29 UTC
A commit references this bug:

Author: robak
Date: Sat Nov 15 20:35:18 UTC 2014
New revision: 372614
URL: https://svnweb.freebsd.org/changeset/ports/372614

Log:
  dns/powerdns: update 3.4.0 -> 3.4.1

  PR:		194805
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	mentors (implicit)

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
  head/dns/powerdns/files/pkg-message.in
Comment 6 Bartek Rutkowski freebsd_committer 2014-11-15 20:36:08 UTC
Committed, thanks for your work!